# $Revision: 1.15 $, $Date: 2011/05/08 11:11:30 $
# TODO:
# - create more subpackages? (vamp-sdk, vamp-hostsdk)
#
%define		srcname	vamp-plugin-sdk
Summary:	vamp - API for audio analysis and feature extraction plugins
Summary(pl.UTF-8):	vamp - API dla wtyczek analizy i wydobywania cech dźwięku
Name:		vamp
Version:	2.2.1
Release:	1
License:	MIT
Group:		Libraries
Source0:	http://downloads.sourceforge.net/vamp/%{srcname}-%{version}.tar.gz
# Source0-md5:	d31e0d891bebdff75d4f4c709d5b2cab
Patch0:		%{name}-link.patch
URL:		http://www.vamp-plugins.org/
BuildRequires:	libsndfile-devel
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		vampplugindir	%{_libdir}/vamp

%description
Vamp is an audio processing plugin system for plugins that extract
descriptive information from audio data - typically referred to as
audio analysis plugins or audio feature extraction plugins.

%description -l pl.UTF-8
Vamp to system wtyczek przetwarzających dźwięk dla wtyczek
wydobywających informacje opisowe z danych dźwiękowych - przeważnie
nazywane wtyczkami analizy dźwięku lub wtyczkami wydobywającymi cechy
dźwięku.

%package devel
Summary:	Header files for vamp library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki vamp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files for vamp library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki vamp.

%package static
Summary:	Static vamp library
Summary(pl.UTF-8):	Statyczna biblioteka vamp
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static vamp library.

%description static -l pl.UTF-8
Statyczna biblioteka vamp.

%package plugins-example
Summary:	Example vamp plugins
Summary(pl.UTF-8):	Przykładowe wtyczki vampa
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description plugins-example
Example vamp plugins.

%description plugins-example -l pl.UTF-8
Przykładowe wtyczki vampa.

%prep
%setup -q -n %{srcname}-v%{version}
%patch0 -p1

%build
%configure
%{__make} \
	CXX="%{__cxx}" \
	LDFLAGS="%{rpmcxxflags} %{rpmldflags}" \
	INSTALL_SDK_LIBS="%{_libdir}" \
	INSTALL_PLUGINS="%{vampplugindir}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	INSTALL_SDK_LIBS="%{_libdir}" \
	INSTALL_PLUGINS="%{vampplugindir}" \
	INSTALL_PKGCONFIG="%{_pkgconfigdir}"

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING README
%attr(755,root,root) %{_bindir}/vamp-simple-host
%attr(755,root,root) %{_libdir}/libvamp-hostsdk.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libvamp-hostsdk.so.3
%attr(755,root,root) %{_libdir}/libvamp-sdk.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libvamp-sdk.so.2
%dir %{vampplugindir}

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/vamp-rdf-template-generator
%attr(755,root,root) %{_libdir}/libvamp-hostsdk.so
%attr(755,root,root) %{_libdir}/libvamp-sdk.so
%{_libdir}/libvamp-hostsdk.la
%{_libdir}/libvamp-sdk.la
%{_includedir}/vamp
%{_includedir}/vamp-hostsdk
%{_includedir}/vamp-sdk
%{_pkgconfigdir}/vamp.pc
%{_pkgconfigdir}/vamp-hostsdk.pc
%{_pkgconfigdir}/vamp-sdk.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libvamp-hostsdk.a
%{_libdir}/libvamp-sdk.a

%files plugins-example
%defattr(644,root,root,755)
%attr(755,root,root) %{vampplugindir}/vamp-example-plugins.so
%{vampplugindir}/vamp-example-plugins.cat
%{vampplugindir}/vamp-example-plugins.n3

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: vamp.spec,v $
Revision 1.15  2011/05/08 11:11:30  qboosh
- updated to 2.2.1
- removed obsolete gcc4 patch, added link patch
- package remaining files
- License is MIT
- -devel R: libstdc++-devel

Revision 1.14  2010/02/27 20:48:56  sparky
- fixed build on 64 bits

Revision 1.13  2010/02/04 23:07:55  sls
- adapterized

Revision 1.12  2010/02/04 22:55:48  sls
- update patches: install, optflags, link OUT, gcc4 IN
- more verbose files
- now using ./configure
- updated BR
- rel. 1
- more TODO

Revision 1.11  2010/02/04 22:01:40  sls
- ver. 2.1 (NFY)

Revision 1.10  2007/11/25 03:32:56  sls
- ver. 1.1
- added link.patch

Revision 1.9  2007-06-17 20:21:08  sls
- added subpackage plugins-example
- rel. 0.9
- TODO updates

Revision 1.8  2007/06/16 20:08:45  pluto
- fix typo in summary(pl).

Revision 1.7  2007/06/16 20:04:54  pluto
- fix libdirs in install and .pc (x86-64 related).

Revision 1.6  2007/06/16 19:37:14  pluto
- fix hardcoded cxxflags, pass -fpic 'coz it's a shared library.

Revision 1.5  2007/04/05 18:11:23  qboosh
- pl desc

Revision 1.4  2007/03/31 04:14:39  sls
- more TODO

Revision 1.3  2007/03/31 04:08:34  sls
- added TODO entry about wrong linking

Revision 1.2  2007/03/31 02:27:49  sls
- rel. 0.2
- updated install.patch

Revision 1.1  2007/03/31 00:40:57  sls
- sonic-visualiser needs this
